package usherbrooke.ift630;

public class Passenger {

	private String	name;
	private int		id;
	private Stop	dest;
	private Stop	start;

    Passenger(int id, Stop start, Stop dest) {
		this.id = id;
		this.name = "Passenger " + id;
		this.dest = dest;
		this.start = start;
    }

	// unused, *yet*
	public synchronized void embark() {}

	// unused, *yet*
	public synchronized void disembark() {}

	public Stop getStart() {
		return start;
	}

	public Stop getDest() {
		return dest;
	}

	public String getName() {
		return name;
	}

	// Pretty print, with color!
	public void printDetails(int color, int indent) {
		Logger.getInstance().print(color, "\t".repeat(indent) + "---".repeat(3) + " Passenger details " + "---".repeat(3));
		Logger.getInstance().print(color, "\t".repeat(indent) + name + " start: " + start.getStopName() + " dest: " + dest.getStopName());
	}

	// Pretty print, with indent!
	public void printDetails(int indent) {
		Logger.getInstance().print(id, "\t".repeat(indent) + "---".repeat(3) + " Passenger details " + "---".repeat(3));
		Logger.getInstance().print(id, "\t".repeat(indent) + name + " start: " + start.getStopName() + " dest: " + dest.getStopName());
	}

	// Pretty print!
	public void printDetails() {
		printDetails(0);
	}
}
